PETSc version 3.15.5
Fix/Edit manual page

# PetscDTJacobiNorm

Compute the weighted L2 norm of a Jacobi polynomial.

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTJacobiNorm(PetscReal alpha, PetscReal beta, PetscInt n, PetscReal *norm)

$\| P^{\alpha,\beta}_n \|_{\alpha,\beta}^2 = \int_{-1}^1 (1 + x)^{\alpha} (1 - x)^{\beta} P^{\alpha,\beta}_n (x)^2 dx.$

### Input Arguments

| alpha | - the left exponent > -1

| beta | - the right exponent > -1 + n - the polynomial degree

### Output Arguments

| norm | - the weighted L2 norm

### See Also

PetscDTJacobiEval()

### Level

beginner

### Location

src/dm/dt/interface/dt.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages